Package org.eclipse.viatra.query.patternlanguage.emf.vql.impl

## Class PatternLanguagePackageImpl

- java.lang.Object
- - org.eclipse.emf.common.notify.impl.BasicNotifierImpl
  - - org.eclipse.emf.ecore.impl.BasicEObjectImpl
    - - org.eclipse.emf.ecore.impl.MinimalEObjectImpl
      - - org.eclipse.emf.ecore.impl.MinimalEObjectImpl.Container
        - - org.eclipse.emf.ecore.impl.EModelElementImpl
          - - org.eclipse.emf.ecore.impl.ENamedElementImpl
            - - org.eclipse.emf.ecore.impl.EPackageImpl
              - - org.eclipse.viatra.query.patternlanguage.emf.vql.impl.PatternLanguagePackageImpl

- All Implemented Interfaces:
    `org.eclipse.emf.common.notify.Notifier`, `org.eclipse.emf.ecore.EModelElement`, `org.eclipse.emf.ecore.ENamedElement`, `org.eclipse.emf.ecore.EObject`, `org.eclipse.emf.ecore.EPackage`, `org.eclipse.emf.ecore.EStructuralFeature.Internal.DynamicValueHolder`, `org.eclipse.emf.ecore.InternalEObject`, `org.eclipse.emf.ecore.util.BasicExtendedMetaData.EPackageExtendedMetaData.Holder`, `PatternLanguagePackage`

      public class PatternLanguagePackageImpl
      extends org.eclipse.emf.ecore.impl.EPackageImpl
      implements PatternLanguagePackage

  An implementation of the model Package.
  Generated:

- - ### Nested Class Summary

    - ### Nested classes/interfaces inherited from class org.eclipse.emf.ecore.impl.EPackageImpl

      `org.eclipse.emf.ecore.impl.EPackageImpl.EBasicWhiteList`

    - ### Nested classes/interfaces inherited from class org.eclipse.emf.ecore.impl.MinimalEObjectImpl.Container

      `org.eclipse.emf.ecore.impl.MinimalEObjectImpl.Container.Dynamic`

    - ### Nested classes/interfaces inherited from class org.eclipse.emf.ecore.impl.MinimalEObjectImpl

      `org.eclipse.emf.ecore.impl.MinimalEObjectImpl.Container`

    - ### Nested classes/interfaces inherited from class org.eclipse.emf.ecore.impl.BasicEObjectImpl

      `org.eclipse.emf.ecore.impl.BasicEObjectImpl.EPropertiesHolder, org.eclipse.emf.ecore.impl.BasicEObjectImpl.EPropertiesHolderBaseImpl, org.eclipse.emf.ecore.impl.BasicEObjectImpl.EPropertiesHolderImpl`

    - ### Nested classes/interfaces inherited from class org.eclipse.emf.common.notify.impl.BasicNotifierImpl

      `org.eclipse.emf.common.notify.impl.BasicNotifierImpl.EAdapterList<E extends java.lang.Object & org.eclipse.emf.common.notify.Adapter>, org.eclipse.emf.common.notify.impl.BasicNotifierImpl.EObservableAdapterList, org.eclipse.emf.common.notify.impl.BasicNotifierImpl.EScannableAdapterList`

    - ### Nested classes/interfaces inherited from interface org.eclipse.emf.ecore.EPackage

      `org.eclipse.emf.ecore.EPackage.Descriptor, org.eclipse.emf.ecore.EPackage.Registry`

    - ### Nested classes/interfaces inherited from interface org.eclipse.emf.ecore.InternalEObject

      `org.eclipse.emf.ecore.InternalEObject.EStore`

    - ### Nested classes/interfaces inherited from interface org.eclipse.viatra.query.patternlanguage.emf.vql.PatternLanguagePackage

      `PatternLanguagePackage.Literals`

  - ### Field Summary

    - ### Fields inherited from class org.eclipse.emf.ecore.impl.EPackageImpl

      `eClassifiers, ecoreFactory, ecorePackage, eFactoryInstance, eNameToEClassifierMap, ePackageExtendedMetaData, eSubpackages, IS_ABSTRACT, IS_CHANGEABLE, IS_COMPOSITE, IS_DERIVED, IS_GENERATED_INSTANCE_CLASS, IS_ID, IS_INTERFACE, IS_ORDERED, IS_RESOLVABLE, IS_RESOLVE_PROXIES, IS_SERIALIZABLE, IS_TRANSIENT, IS_UNIQUE, IS_UNSETTABLE, IS_VOLATILE, NS_PREFIX_EDEFAULT, NS_URI_EDEFAULT, nsPrefix, nsURI`

    - ### Fields inherited from class org.eclipse.emf.ecore.impl.ENamedElementImpl

      `name, NAME_EDEFAULT`

    - ### Fields inherited from class org.eclipse.emf.ecore.impl.EModelElementImpl

      `eAnnotations, eFlags, EFROZEN, ELAST_EMODEL_ELEMENT_FLAG`

    - ### Fields inherited from class org.eclipse.emf.ecore.impl.MinimalEObjectImpl.Container

      `eContainer`

    - ### Fields inherited from class org.eclipse.emf.ecore.impl.BasicEObjectImpl

      `EVIRTUAL_GET, EVIRTUAL_IS_SET, EVIRTUAL_NO_VALUE, EVIRTUAL_SET, EVIRTUAL_UNSET`

    - ### Fields inherited from interface org.eclipse.emf.ecore.EStructuralFeature.Internal.DynamicValueHolder

      `NIL`

    - ### Fields inherited from interface org.eclipse.emf.ecore.InternalEObject

      `EOPPOSITE_FEATURE_BASE`

    - ### Fields inherited from interface org.eclipse.viatra.query.patternlanguage.emf.vql.PatternLanguagePackage

      `AGGREGATED_VALUE, AGGREGATED_VALUE__AGGREGATE_TYPE, AGGREGATED_VALUE__AGGREGATOR, AGGREGATED_VALUE__CALL, AGGREGATED_VALUE_FEATURE_COUNT, ANNOTATION, ANNOTATION__NAME, ANNOTATION__PARAMETERS, ANNOTATION_FEATURE_COUNT, ANNOTATION_PARAMETER, ANNOTATION_PARAMETER__NAME, ANNOTATION_PARAMETER__VALUE, ANNOTATION_PARAMETER_FEATURE_COUNT, BOOL_VALUE, BOOL_VALUE__VALUE, BOOL_VALUE_FEATURE_COUNT, CALLABLE_RELATION, CALLABLE_RELATION__TRANSITIVE, CALLABLE_RELATION_FEATURE_COUNT, CHECK_CONSTRAINT, CHECK_CONSTRAINT__EXPRESSION, CHECK_CONSTRAINT_FEATURE_COUNT, CLASS_TYPE, CLASS_TYPE__CLASSNAME, CLASS_TYPE__METAMODEL, CLASS_TYPE__TYPENAME, CLASS_TYPE_FEATURE_COUNT, CLOSURE_TYPE, COMPARE_CONSTRAINT, COMPARE_CONSTRAINT__FEATURE, COMPARE_CONSTRAINT__LEFT_OPERAND, COMPARE_CONSTRAINT__RIGHT_OPERAND, COMPARE_CONSTRAINT_FEATURE_COUNT, COMPARE_FEATURE, COMPUTATION_VALUE, COMPUTATION_VALUE_FEATURE_COUNT, CONSTRAINT, CONSTRAINT_FEATURE_COUNT, ECLASSIFIER_CONSTRAINT, ECLASSIFIER_CONSTRAINT__TRANSITIVE, ECLASSIFIER_CONSTRAINT__TYPE, ECLASSIFIER_CONSTRAINT__VAR, ECLASSIFIER_CONSTRAINT_FEATURE_COUNT, eINSTANCE, eNAME, eNS_PREFIX, eNS_URI, ENTITY_TYPE, ENTITY_TYPE__TYPENAME, ENTITY_TYPE_FEATURE_COUNT, ENUM_VALUE, ENUM_VALUE__ENUMERATION, ENUM_VALUE__LITERAL, ENUM_VALUE_FEATURE_COUNT, EXECUTION_TYPE, EXPRESSION, EXPRESSION_FEATURE_COUNT, FUNCTION_EVALUATION_VALUE, FUNCTION_EVALUATION_VALUE__EXPRESSION, FUNCTION_EVALUATION_VALUE__UNWIND, FUNCTION_EVALUATION_VALUE_FEATURE_COUNT, JAVA_CONSTANT_VALUE, JAVA_CONSTANT_VALUE__CLASS_REF, JAVA_CONSTANT_VALUE__FIELD_REF, JAVA_CONSTANT_VALUE_FEATURE_COUNT, JAVA_TYPE, JAVA_TYPE__CLASS_REF, JAVA_TYPE__TYPENAME, JAVA_TYPE_FEATURE_COUNT, LIST_VALUE, LIST_VALUE__VALUES, LIST_VALUE_FEATURE_COUNT, LITERAL_VALUE_REFERENCE, LITERAL_VALUE_REFERENCE_FEATURE_COUNT, LOCAL_VARIABLE, LOCAL_VARIABLE__NAME, LOCAL_VARIABLE__TYPE, LOCAL_VARIABLE_FEATURE_COUNT, MODIFIERS, MODIFIERS__EXECUTION, MODIFIERS__PRIVATE, MODIFIERS_FEATURE_COUNT, NUMBER_VALUE, NUMBER_VALUE__NEGATIVE, NUMBER_VALUE__VALUE, NUMBER_VALUE_FEATURE_COUNT, PACKAGE_IMPORT, PACKAGE_IMPORT__ALIAS, PACKAGE_IMPORT__EPACKAGE, PACKAGE_IMPORT_FEATURE_COUNT, PARAMETER, PARAMETER__DIRECTION, PARAMETER__NAME, PARAMETER__TYPE, PARAMETER_DIRECTION, PARAMETER_FEATURE_COUNT, PARAMETER_REF, PARAMETER_REF__NAME, PARAMETER_REF__REFERRED_PARAM, PARAMETER_REF__TYPE, PARAMETER_REF_FEATURE_COUNT, PATH_EXPRESSION_CONSTRAINT, PATH_EXPRESSION_CONSTRAINT__DST, PATH_EXPRESSION_CONSTRAINT__EDGE_TYPES, PATH_EXPRESSION_CONSTRAINT__SOURCE_TYPE, PATH_EXPRESSION_CONSTRAINT__SRC, PATH_EXPRESSION_CONSTRAINT__TRANSITIVE, PATH_EXPRESSION_CONSTRAINT_FEATURE_COUNT, PATTERN, PATTERN__ANNOTATIONS, PATTERN__BODIES, PATTERN__MODIFIERS, PATTERN__NAME, PATTERN__PARAMETERS, PATTERN_BODY, PATTERN_BODY__CONSTRAINTS, PATTERN_BODY__NAME, PATTERN_BODY__VARIABLES, PATTERN_BODY_FEATURE_COUNT, PATTERN_CALL, PATTERN_CALL__PARAMETERS, PATTERN_CALL__PATTERN_REF, PATTERN_CALL__TRANSITIVE, PATTERN_CALL_FEATURE_COUNT, PATTERN_COMPOSITION_CONSTRAINT, PATTERN_COMPOSITION_CONSTRAINT__CALL, PATTERN_COMPOSITION_CONSTRAINT__NEGATIVE, PATTERN_COMPOSITION_CONSTRAINT_FEATURE_COUNT, PATTERN_FEATURE_COUNT, PATTERN_IMPORT, PATTERN_IMPORT__PACKAGE_NAME, PATTERN_IMPORT__PATTERN, PATTERN_IMPORT__PATTERNS, PATTERN_IMPORT_FEATURE_COUNT, PATTERN_MODEL, PATTERN_MODEL__IMPORT_PACKAGES, PATTERN_MODEL__PACKAGE_NAME, PATTERN_MODEL__PATTERNS, PATTERN_MODEL_FEATURE_COUNT, REFERENCE_TYPE, REFERENCE_TYPE__REFNAME, REFERENCE_TYPE__TYPENAME, REFERENCE_TYPE_FEATURE_COUNT, RELATION_TYPE, RELATION_TYPE__TYPENAME, RELATION_TYPE_FEATURE_COUNT, STRING_VALUE, STRING_VALUE__VALUE, STRING_VALUE_FEATURE_COUNT, TYPE, TYPE__TYPENAME, TYPE_CHECK_CONSTRAINT, TYPE_CHECK_CONSTRAINT__TRANSITIVE, TYPE_CHECK_CONSTRAINT__TYPE, TYPE_CHECK_CONSTRAINT__VAR, TYPE_CHECK_CONSTRAINT_FEATURE_COUNT, TYPE_FEATURE_COUNT, UNARY_TYPE_CONSTRAINT, UNARY_TYPE_CONSTRAINT__TRANSITIVE, UNARY_TYPE_CONSTRAINT__TYPE, UNARY_TYPE_CONSTRAINT__VAR, UNARY_TYPE_CONSTRAINT_FEATURE_COUNT, VALUE_REFERENCE, VALUE_REFERENCE_FEATURE_COUNT, VARIABLE, VARIABLE__NAME, VARIABLE__TYPE, VARIABLE_FEATURE_COUNT, VARIABLE_REFERENCE, VARIABLE_REFERENCE__AGGREGATOR, VARIABLE_REFERENCE__VAR, VARIABLE_REFERENCE__VARIABLE, VARIABLE_REFERENCE_FEATURE_COUNT, VQL_IMPORT_SECTION, VQL_IMPORT_SECTION__IMPORT_DECLARATIONS, VQL_IMPORT_SECTION__PACKAGE_IMPORT, VQL_IMPORT_SECTION__PATTERN_IMPORT, VQL_IMPORT_SECTION_FEATURE_COUNT`

  - ### Method Summary

    All Methods Static Methods Instance Methods Concrete Methods
    Modifier and Type | Method | Description
    --- | --- | ---
    `void` | `createPackageContents()` | Creates the meta-model objects for the package.
    `org.eclipse.emf.ecore.EClass` | `getAggregatedValue()`
    `org.eclipse.emf.ecore.EReference` | `getAggregatedValue_AggregateType()`
    `org.eclipse.emf.ecore.EReference` | `getAggregatedValue_Aggregator()`
    `org.eclipse.emf.ecore.EReference` | `getAggregatedValue_Call()`
    `org.eclipse.emf.ecore.EClass` | `getAnnotation()`
    `org.eclipse.emf.ecore.EAttribute` | `getAnnotation_Name()`
    `org.eclipse.emf.ecore.EReference` | `getAnnotation_Parameters()`
    `org.eclipse.emf.ecore.EClass` | `getAnnotationParameter()`
    `org.eclipse.emf.ecore.EAttribute` | `getAnnotationParameter_Name()`
    `org.eclipse.emf.ecore.EReference` | `getAnnotationParameter_Value()`
    `org.eclipse.emf.ecore.EClass` | `getBoolValue()`
    `org.eclipse.emf.ecore.EReference` | `getBoolValue_Value()`
    `org.eclipse.emf.ecore.EClass` | `getCallableRelation()`
    `org.eclipse.emf.ecore.EAttribute` | `getCallableRelation_Transitive()`
    `org.eclipse.emf.ecore.EClass` | `getCheckConstraint()`
    `org.eclipse.emf.ecore.EReference` | `getCheckConstraint_Expression()`
    `org.eclipse.emf.ecore.EClass` | `getClassType()`
    `org.eclipse.emf.ecore.EReference` | `getClassType_Classname()`
    `org.eclipse.emf.ecore.EReference` | `getClassType_Metamodel()`
    `org.eclipse.emf.ecore.EEnum` | `getClosureType()`
    `org.eclipse.emf.ecore.EClass` | `getCompareConstraint()`
    `org.eclipse.emf.ecore.EAttribute` | `getCompareConstraint_Feature()`
    `org.eclipse.emf.ecore.EReference` | `getCompareConstraint_LeftOperand()`
    `org.eclipse.emf.ecore.EReference` | `getCompareConstraint_RightOperand()`
    `org.eclipse.emf.ecore.EEnum` | `getCompareFeature()`
    `org.eclipse.emf.ecore.EClass` | `getComputationValue()`
    `org.eclipse.emf.ecore.EClass` | `getConstraint()`
    `org.eclipse.emf.ecore.EClass` | `getEClassifierConstraint()`
    `org.eclipse.emf.ecore.EClass` | `getEntityType()`
    `org.eclipse.emf.ecore.EClass` | `getEnumValue()`
    `org.eclipse.emf.ecore.EReference` | `getEnumValue_Enumeration()`
    `org.eclipse.emf.ecore.EReference` | `getEnumValue_Literal()`
    `org.eclipse.emf.ecore.EEnum` | `getExecutionType()`
    `org.eclipse.emf.ecore.EClass` | `getExpression()`
    `org.eclipse.emf.ecore.EClass` | `getFunctionEvaluationValue()`
    `org.eclipse.emf.ecore.EReference` | `getFunctionEvaluationValue_Expression()`
    `org.eclipse.emf.ecore.EAttribute` | `getFunctionEvaluationValue_Unwind()`
    `org.eclipse.emf.ecore.EClass` | `getJavaConstantValue()`
    `org.eclipse.emf.ecore.EReference` | `getJavaConstantValue_ClassRef()`
    `org.eclipse.emf.ecore.EReference` | `getJavaConstantValue_FieldRef()`
    `org.eclipse.emf.ecore.EClass` | `getJavaType()`
    `org.eclipse.emf.ecore.EReference` | `getJavaType_ClassRef()`
    `org.eclipse.emf.ecore.EClass` | `getListValue()`
    `org.eclipse.emf.ecore.EReference` | `getListValue_Values()`
    `org.eclipse.emf.ecore.EClass` | `getLiteralValueReference()`
    `org.eclipse.emf.ecore.EClass` | `getLocalVariable()`
    `org.eclipse.emf.ecore.EClass` | `getModifiers()`
    `org.eclipse.emf.ecore.EAttribute` | `getModifiers_Execution()`
    `org.eclipse.emf.ecore.EAttribute` | `getModifiers_Private()`
    `org.eclipse.emf.ecore.EClass` | `getNumberValue()`
    `org.eclipse.emf.ecore.EAttribute` | `getNumberValue_Negative()`
    `org.eclipse.emf.ecore.EReference` | `getNumberValue_Value()`
    `org.eclipse.emf.ecore.EClass` | `getPackageImport()`
    `org.eclipse.emf.ecore.EAttribute` | `getPackageImport_Alias()`
    `org.eclipse.emf.ecore.EReference` | `getPackageImport_EPackage()`
    `org.eclipse.emf.ecore.EClass` | `getParameter()`
    `org.eclipse.emf.ecore.EAttribute` | `getParameter_Direction()`
    `org.eclipse.emf.ecore.EEnum` | `getParameterDirection()`
    `org.eclipse.emf.ecore.EClass` | `getParameterRef()`
    `org.eclipse.emf.ecore.EReference` | `getParameterRef_ReferredParam()`
    `org.eclipse.emf.ecore.EClass` | `getPathExpressionConstraint()`
    `org.eclipse.emf.ecore.EReference` | `getPathExpressionConstraint_Dst()`
    `org.eclipse.emf.ecore.EReference` | `getPathExpressionConstraint_EdgeTypes()`
    `org.eclipse.emf.ecore.EReference` | `getPathExpressionConstraint_SourceType()`
    `org.eclipse.emf.ecore.EReference` | `getPathExpressionConstraint_Src()`
    `org.eclipse.emf.ecore.EClass` | `getPattern()`
    `org.eclipse.emf.ecore.EReference` | `getPattern_Annotations()`
    `org.eclipse.emf.ecore.EReference` | `getPattern_Bodies()`
    `org.eclipse.emf.ecore.EReference` | `getPattern_Modifiers()`
    `org.eclipse.emf.ecore.EAttribute` | `getPattern_Name()`
    `org.eclipse.emf.ecore.EReference` | `getPattern_Parameters()`
    `org.eclipse.emf.ecore.EClass` | `getPatternBody()`
    `org.eclipse.emf.ecore.EReference` | `getPatternBody_Constraints()`
    `org.eclipse.emf.ecore.EAttribute` | `getPatternBody_Name()`
    `org.eclipse.emf.ecore.EReference` | `getPatternBody_Variables()`
    `org.eclipse.emf.ecore.EClass` | `getPatternCall()`
    `org.eclipse.emf.ecore.EReference` | `getPatternCall_Parameters()`
    `org.eclipse.emf.ecore.EReference` | `getPatternCall_PatternRef()`
    `org.eclipse.emf.ecore.EClass` | `getPatternCompositionConstraint()`
    `org.eclipse.emf.ecore.EReference` | `getPatternCompositionConstraint_Call()`
    `org.eclipse.emf.ecore.EAttribute` | `getPatternCompositionConstraint_Negative()`
    `org.eclipse.emf.ecore.EClass` | `getPatternImport()`
    `org.eclipse.emf.ecore.EAttribute` | `getPatternImport_PackageName()`
    `org.eclipse.emf.ecore.EReference` | `getPatternImport_Pattern()`
    `org.eclipse.emf.ecore.EReference` | `getPatternImport_Patterns()`
    `PatternLanguageFactory` | `getPatternLanguageFactory()`
    `org.eclipse.emf.ecore.EClass` | `getPatternModel()`
    `org.eclipse.emf.ecore.EReference` | `getPatternModel_ImportPackages()`
    `org.eclipse.emf.ecore.EAttribute` | `getPatternModel_PackageName()`
    `org.eclipse.emf.ecore.EReference` | `getPatternModel_Patterns()`
    `org.eclipse.emf.ecore.EClass` | `getReferenceType()`
    `org.eclipse.emf.ecore.EReference` | `getReferenceType_Refname()`
    `org.eclipse.emf.ecore.EClass` | `getRelationType()`
    `org.eclipse.emf.ecore.EClass` | `getStringValue()`
    `org.eclipse.emf.ecore.EAttribute` | `getStringValue_Value()`
    `org.eclipse.emf.ecore.EClass` | `getType()`
    `org.eclipse.emf.ecore.EAttribute` | `getType_Typename()`
    `org.eclipse.emf.ecore.EClass` | `getTypeCheckConstraint()`
    `org.eclipse.emf.ecore.EClass` | `getUnaryTypeConstraint()`
    `org.eclipse.emf.ecore.EReference` | `getUnaryTypeConstraint_Type()`
    `org.eclipse.emf.ecore.EReference` | `getUnaryTypeConstraint_Var()`
    `org.eclipse.emf.ecore.EClass` | `getValueReference()`
    `org.eclipse.emf.ecore.EClass` | `getVariable()`
    `org.eclipse.emf.ecore.EAttribute` | `getVariable_Name()`
    `org.eclipse.emf.ecore.EReference` | `getVariable_Type()`
    `org.eclipse.emf.ecore.EClass` | `getVariableReference()`
    `org.eclipse.emf.ecore.EAttribute` | `getVariableReference_Aggregator()`
    `org.eclipse.emf.ecore.EAttribute` | `getVariableReference_Var()`
    `org.eclipse.emf.ecore.EReference` | `getVariableReference_Variable()`
    `org.eclipse.emf.ecore.EClass` | `getVQLImportSection()`
    `org.eclipse.emf.ecore.EReference` | `getVQLImportSection_PackageImport()`
    `org.eclipse.emf.ecore.EReference` | `getVQLImportSection_PatternImport()`
    `static PatternLanguagePackage` | `init()` | Creates, registers, and initializes the Package for this model, and for any others upon which it depends.
    `void` | `initializePackageContents()` | Complete the initialization of the package and its meta-model.

    - ### Methods inherited from class org.eclipse.emf.ecore.impl.EPackageImpl

      `addAnnotation, addAnnotation, addAnnotation, addAnnotation, addAnnotation, addAnnotation, addEEnumLiteral, addEException, addEException, addEOperation, addEOperation, addEOperation, addEParameter, addEParameter, addEParameter, addEParameter, addEParameter, addETypeParameter, addETypeParameter, basicGetESuperPackage, basicSetEFactoryInstance, createEAttribute, createEClass, createEDataType, createEEnum, createEGenericType, createEGenericType, createEGenericType, createEOperation, createEReference, createResource, eBasicRemoveFromContainerFeature, eGet, eInverseAdd, eInverseRemove, eInvoke, eIsSet, eSet, eSetProxyURI, eStaticClass, eUnset, fixEClassifiers, fixEEnumLiterals, fixEOperations, fixEStructuralFeatures, fixInstanceClass, freeze, getEClassifier, getEClassifierGen, getEClassifiers, getEFactoryInstance, getESubpackages, getESuperPackage, getExtendedMetaData, getNsPrefix, getNsURI, initEAttribute, initEAttribute, initEAttribute, initEAttribute, initEAttribute, initEAttribute, initEAttribute, initEClass, initEClass, initEClass, initEDataType, initEDataType, initEDataType, initEEnum, initEOperation, initEOperation, initEOperation, initEOperation, initEReference, initEReference, initEReference, initEReference, initEReference, initEReference, initEReference, initializeFromLoadedEPackage, setEFactoryInstance, setExtendedMetaData, setGeneratedClassName, setInstanceTypeName, setName, setNamespaceURI, setNsPrefix, setNsURI, toString`

    - ### Methods inherited from class org.eclipse.emf.ecore.impl.ENamedElementImpl

      `eContents, eCrossReferences, getName, getNameGen`

    - ### Methods inherited from class org.eclipse.emf.ecore.impl.EModelElementImpl

      `eObjectForURIFragmentSegment, eSetDirectResource, eURIFragmentSegment, freeze, getEAnnotation, getEAnnotations, isFrozen, setFrozen`

    - ### Methods inherited from class org.eclipse.emf.ecore.impl.MinimalEObjectImpl.Container

      `eBasicSetContainer, eInternalContainer`

    - ### Methods inherited from class org.eclipse.emf.ecore.impl.MinimalEObjectImpl

      `dynamicGet, dynamicSet, dynamicUnset, eAdapters, eBasicAdapterArray, eBasicAdapterListeners, eBasicAdapters, eBasicHasAdapters, eBasicProperties, eBasicSetAdapterArray, eBasicSetAdapterListeners, eBasicSetContainer, eBasicSetContainerFeatureID, eBasicSetSettings, eBasicSettings, eClass, eContainerFeatureID, eDeliver, eDirectResource, eDynamicClass, eHasSettings, eIsProxy, eProperties, eProxyURI, eSetClass, eSetDeliver, eSettings`

    - ### Methods inherited from class org.eclipse.emf.ecore.impl.BasicEObjectImpl

      `eAddVirtualValue, eAllContents, eBaseStructuralFeatureID, eBasicRemoveFromContainer, eBasicSetContainer, eComputeVirtualValuesCapacity, eContainer, eContainerAdapterArray, eContainingFeature, eContainmentFeature, eContainmentFeature, eContains, eDerivedOperationID, eDerivedOperationID, eDerivedStructuralFeatureID, eDerivedStructuralFeatureID, eDynamicBasicRemoveFromContainer, eDynamicFeature, eDynamicFeatureID, eDynamicGet, eDynamicGet, eDynamicGet, eDynamicInverseAdd, eDynamicInverseAdd, eDynamicInverseRemove, eDynamicInverseRemove, eDynamicInvoke, eDynamicInvoke, eDynamicIsSet, eDynamicIsSet, eDynamicIsSet, eDynamicSet, eDynamicSet, eDynamicSet, eDynamicUnset, eDynamicUnset, eDynamicUnset, eGet, eGet, eGet, eInternalResource, eInverseAdd, eInverseRemove, eInvocationDelegate, eInvoke, eIsSet, eOpenGet, eOpenIsSet, eOpenSet, eOpenUnset, eRemoveVirtualValue, eResolveProxy, eResource, eSet, eSetResource, eSetStore, eSetting, eSettingDelegate, eSetVirtualIndexBits, eSetVirtualValue, eSetVirtualValues, eStaticFeatureCount, eStaticOperationCount, eStore, eUnset, eVirtualBitCount, eVirtualGet, eVirtualGet, eVirtualIndex, eVirtualIndexBits, eVirtualIsSet, eVirtualSet, eVirtualUnset, eVirtualValue, eVirtualValues`

    - ### Methods inherited from class org.eclipse.emf.common.notify.impl.BasicNotifierImpl

      `eNotificationRequired, eNotify`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

    - ### Methods inherited from interface org.eclipse.emf.ecore.EModelElement

      `getEAnnotation, getEAnnotations`

    - ### Methods inherited from interface org.eclipse.emf.ecore.ENamedElement

      `getName, setName`

    - ### Methods inherited from interface org.eclipse.emf.ecore.EObject

      `eAllContents, eClass, eContainer, eContainingFeature, eContainmentFeature, eContents, eCrossReferences, eGet, eGet, eInvoke, eIsProxy, eIsSet, eResource, eSet, eUnset`

    - ### Methods inherited from interface org.eclipse.emf.ecore.EPackage

      `getEClassifier, getEClassifiers, getEFactoryInstance, getESubpackages, getESuperPackage, getNsPrefix, getNsURI, setEFactoryInstance, setNsPrefix, setNsURI`

    - ### Methods inherited from interface org.eclipse.emf.ecore.InternalEObject

      `eNotificationRequired`

    - ### Methods inherited from interface org.eclipse.emf.common.notify.Notifier

      `eAdapters, eDeliver, eNotify, eSetDeliver`

- - ### Method Detail

    - #### init

          public static PatternLanguagePackage init()

      Creates, registers, and initializes the Package for this model, and for any others upon which it depends.

      This method is used to initialize `PatternLanguagePackage.eINSTANCE` when that field is accessed. Clients should not invoke it directly. Instead, they should simply access that field to obtain the package.

      See Also:
        `PatternLanguagePackage.eNS_URI`, `createPackageContents()`, `initializePackageContents()`
      Generated:

    - #### getVQLImportSection

          public org.eclipse.emf.ecore.EClass getVQLImportSection()

      Specified by:
        `getVQLImportSection` in interface `PatternLanguagePackage`
      Returns:
        the meta object for class 'VQL Import Section'.
      See Also:
        `VQLImportSection`
      Generated:

    - #### getVQLImportSection_PackageImport

          public org.eclipse.emf.ecore.EReference getVQLImportSection_PackageImport()

      Specified by:
        `getVQLImportSection_PackageImport` in interface `PatternLanguagePackage`
      Returns:
        the meta object for the containment reference list 'Package Import'.
      See Also:
        `VQLImportSection.getPackageImport()`, `PatternLanguagePackage.getVQLImportSection()`
      Generated:

    - #### getVQLImportSection_PatternImport

          public org.eclipse.emf.ecore.EReference getVQLImportSection_PatternImport()

      Specified by:
        `getVQLImportSection_PatternImport` in interface `PatternLanguagePackage`
      Returns:
        the meta object for the containment reference list 'Pattern Import'.
      See Also:
        `VQLImportSection.getPatternImport()`, `PatternLanguagePackage.getVQLImportSection()`
      Generated:

    - #### getPackageImport

          public org.eclipse.emf.ecore.EClass getPackageImport()

      Specified by:
        `getPackageImport` in interface `PatternLanguagePackage`
      Returns:
        the meta object for class 'Package Import'.
      See Also:
        `PackageImport`
      Generated:

    - #### getPackageImport_EPackage

          public org.eclipse.emf.ecore.EReference getPackageImport_EPackage()

      Specified by:
        `getPackageImport_EPackage` in interface `PatternLanguagePackage`
      Returns:
        the meta object for the reference 'EPackage'.
      See Also:
        `PackageImport.getEPackage()`, `PatternLanguagePackage.getPackageImport()`
      Generated:

    - #### getPackageImport_Alias

          public org.eclipse.emf.ecore.EAttribute getPackageImport_Alias()

      Specified by:
        `getPackageImport_Alias` in interface `PatternLanguagePackage`
      Returns:
        the meta object for the attribute 'Alias'.
      See Also:
        `PackageImport.getAlias()`, `PatternLanguagePackage.getPackageImport()`
      Generated:

    - #### getPatternImport

          public org.eclipse.emf.ecore.EClass getPatternImport()

      Specified by:
        `getPatternImport` in interface `PatternLanguagePackage`
      Returns:
        the meta object for class 'Pattern Import'.
      See Also:
        `PatternImport`
      Generated:

    - #### getPatternImport_Pattern

          public org.eclipse.emf.ecore.EReference getPatternImport_Pattern()

      Specified by:
        `getPatternImport_Pattern` in interface `PatternLanguagePackage`
      Returns:
        the meta object for the reference 'Pattern'.
      See Also:
        `PatternImport.getPattern()`, `PatternLanguagePackage.getPatternImport()`
      Generated:

    - #### getPatternImport_PackageName

          public org.eclipse.emf.ecore.EAttribute getPatternImport_PackageName()

      Specified by:
        `getPatternImport_PackageName` in interface `PatternLanguagePackage`
      Returns:
        the meta object for the attribute 'Package Name'.
      See Also:
        `PatternImport.getPackageName()`, `PatternLanguagePackage.getPatternImport()`
      Generated:

    - #### getPatternImport_Patterns

          public org.eclipse.emf.ecore.EReference getPatternImport_Patterns()

      Specified by:
        `getPatternImport_Patterns` in interface `PatternLanguagePackage`
      Returns:
        the meta object for the containment reference list 'Patterns'.
      See Also:
        `PatternImport.getPatterns()`, `PatternLanguagePackage.getPatternImport()`
      Generated:

    - #### getEClassifierConstraint

          public org.eclipse.emf.ecore.EClass getEClassifierConstraint()

      Specified by:
        `getEClassifierConstraint` in interface `PatternLanguagePackage`
      Returns:
        the meta object for class 'EClassifier Constraint'.
      See Also:
        `EClassifierConstraint`
      Generated:

    - #### getEnumValue

          public org.eclipse.emf.ecore.EClass getEnumValue()

      Specified by:
        `getEnumValue` in interface `PatternLanguagePackage`
      Returns:
        the meta object for class 'Enum Value'.
      See Also:
        `EnumValue`
      Generated:

    - #### getEnumValue_Enumeration

          public org.eclipse.emf.ecore.EReference getEnumValue_Enumeration()

      Specified by:
        `getEnumValue_Enumeration` in interface `PatternLanguagePackage`
      Returns:
        the meta object for the reference 'Enumeration'.
      See Also:
        `EnumValue.getEnumeration()`, `PatternLanguagePackage.getEnumValue()`
      Generated:

    - #### getEnumValue_Literal

          public org.eclipse.emf.ecore.EReference getEnumValue_Literal()

      Specified by:
        `getEnumValue_Literal` in interface `PatternLanguagePackage`
      Returns:
        the meta object for the reference 'Literal'.
      See Also:
        `EnumValue.getLiteral()`, `PatternLanguagePackage.getEnumValue()`
      Generated:

    - #### getPatternModel

          public org.eclipse.emf.ecore.EClass getPatternModel()

      Specified by:
        `getPatternModel` in interface `PatternLanguagePackage`
      Returns:
        the meta object for class 'Pattern Model'.
      See Also:
        `PatternModel`
      Generated:

    - #### getPatternModel_ImportPackages

          public org.eclipse.emf.ecore.EReference getPatternModel_ImportPackages()

      Specified by:
        `getPatternModel_ImportPackages` in interface `PatternLanguagePackage`
      Returns:
        the meta object for the containment reference 'Import Packages'.
      See Also:
        `PatternModel.getImportPackages()`, `PatternLanguagePackage.getPatternModel()`
      Generated:

    - #### getPatternModel_PackageName

          public org.eclipse.emf.ecore.EAttribute getPatternModel_PackageName()

      Specified by:
        `getPatternModel_PackageName` in interface `PatternLanguagePackage`
      Returns:
        the meta object for the attribute 'Package Name'.
      See Also:
        `PatternModel.getPackageName()`, `PatternLanguagePackage.getPatternModel()`
      Generated:

    - #### getPatternModel_Patterns

          public org.eclipse.emf.ecore.EReference getPatternModel_Patterns()

      Specified by:
        `getPatternModel_Patterns` in interface `PatternLanguagePackage`
      Returns:
        the meta object for the containment reference list 'Patterns'.
      See Also:
        `PatternModel.getPatterns()`, `PatternLanguagePackage.getPatternModel()`
      Generated:

    - #### getClassType

          public org.eclipse.emf.ecore.EClass getClassType()

      Specified by:
        `getClassType` in interface `PatternLanguagePackage`
      Returns:
        the meta object for class 'Class Type'.
      See Also:
        `ClassType`
      Generated:

    - #### getClassType_Metamodel

          public org.eclipse.emf.ecore.EReference getClassType_Metamodel()

      Specified by:
        `getClassType_Metamodel` in interface `PatternLanguagePackage`
      Returns:
        the meta object for the reference 'Metamodel'.
      See Also:
        `ClassType.getMetamodel()`, `PatternLanguagePackage.getClassType()`
      Generated:

    - #### getClassType_Classname

          public org.eclipse.emf.ecore.EReference getClassType_Classname()

      Specified by:
        `getClassType_Classname` in interface `PatternLanguagePackage`
      Returns:
        the meta object for the reference 'Classname'.
      See Also:
        `ClassType.getClassname()`, `PatternLanguagePackage.getClassType()`
      Generated:

    - #### getReferenceType

          public org.eclipse.emf.ecore.EClass getReferenceType()

      Specified by:
        `getReferenceType` in interface `PatternLanguagePackage`
      Returns:
        the meta object for class 'Reference Type'.
      See Also:
        `ReferenceType`
      Generated:

    - #### getReferenceType_Refname

          public org.eclipse.emf.ecore.EReference getReferenceType_Refname()

      Specified by:
        `getReferenceType_Refname` in interface `PatternLanguagePackage`
      Returns:
        the meta object for the reference 'Refname'.
      See Also:
        `ReferenceType.getRefname()`, `PatternLanguagePackage.getReferenceType()`
      Generated:

    - #### getPattern

          public org.eclipse.emf.ecore.EClass getPattern()

      Specified by:
        `getPattern` in interface `PatternLanguagePackage`
      Returns:
        the meta object for class 'Pattern'.
      See Also:
        `Pattern`
      Generated:

    - #### getPattern_Annotations

          public org.eclipse.emf.ecore.EReference getPattern_Annotations()

      Specified by:
        `getPattern_Annotations` in interface `PatternLanguagePackage`
      Returns:
        the meta object for the containment reference list 'Annotations'.
      See Also:
        `Pattern.getAnnotations()`, `PatternLanguagePackage.getPattern()`
      Generated:

    - #### getPattern_Modifiers

          public org.eclipse.emf.ecore.EReference getPattern_Modifiers()

      Specified by:
        `getPattern_Modifiers` in interface `PatternLanguagePackage`
      Returns:
        the meta object for the containment reference 'Modifiers'.
      See Also:
        `Pattern.getModifiers()`, `PatternLanguagePackage.getPattern()`
      Generated:

    - #### getPattern_Name

          public org.eclipse.emf.ecore.EAttribute getPattern_Name()

      Specified by:
        `getPattern_Name` in interface `PatternLanguagePackage`
      Returns:
        the meta object for the attribute 'Name'.
      See Also:
        `Pattern.getName()`, `PatternLanguagePackage.getPattern()`
      Generated:

    - #### getPattern_Parameters

          public org.eclipse.emf.ecore.EReference getPattern_Parameters()

      Specified by:
        `getPattern_Parameters` in interface `PatternLanguagePackage`
      Returns:
        the meta object for the containment reference list 'Parameters'.
      See Also:
        `Pattern.getParameters()`, `PatternLanguagePackage.getPattern()`
      Generated:

    - #### getPattern_Bodies

          public org.eclipse.emf.ecore.EReference getPattern_Bodies()

      Specified by:
        `getPattern_Bodies` in interface `PatternLanguagePackage`
      Returns:
        the meta object for the containment reference list 'Bodies'.
      See Also:
        `Pattern.getBodies()`, `PatternLanguagePackage.getPattern()`
      Generated:

    - #### getAnnotation

          public org.eclipse.emf.ecore.EClass getAnnotation()

      Specified by:
        `getAnnotation` in interface `PatternLanguagePackage`
      Returns:
        the meta object for class 'Annotation'.
      See Also:
        `Annotation`
      Generated:

    - #### getAnnotation_Name

          public org.eclipse.emf.ecore.EAttribute getAnnotation_Name()

      Specified by:
        `getAnnotation_Name` in interface `PatternLanguagePackage`
      Returns:
        the meta object for the attribute 'Name'.
      See Also:
        `Annotation.getName()`, `PatternLanguagePackage.getAnnotation()`
      Generated:

    - #### getAnnotation_Parameters

          public org.eclipse.emf.ecore.EReference getAnnotation_Parameters()

      Specified by:
        `getAnnotation_Parameters` in interface `PatternLanguagePackage`
      Returns:
        the meta object for the containment reference list 'Parameters'.
      See Also:
        `Annotation.getParameters()`, `PatternLanguagePackage.getAnnotation()`
      Generated:

    - #### getAnnotationParameter

          public org.eclipse.emf.ecore.EClass getAnnotationParameter()

      Specified by:
        `getAnnotationParameter` in interface `PatternLanguagePackage`
      Returns:
        the meta object for class 'Annotation Parameter'.
      See Also:
        `AnnotationParameter`
      Generated:

    - #### getAnnotationParameter_Name

          public org.eclipse.emf.ecore.EAttribute getAnnotationParameter_Name()

      Specified by:
        `getAnnotationParameter_Name` in interface `PatternLanguagePackage`
      Returns:
        the meta object for the attribute 'Name'.
      See Also:
        `AnnotationParameter.getName()`, `PatternLanguagePackage.getAnnotationParameter()`
      Generated:

    - #### getAnnotationParameter_Value

          public org.eclipse.emf.ecore.EReference getAnnotationParameter_Value()

      Specified by:
        `getAnnotationParameter_Value` in interface `PatternLanguagePackage`
      Returns:
        the meta object for the containment reference 'Value'.
      See Also:
        `AnnotationParameter.getValue()`, `PatternLanguagePackage.getAnnotationParameter()`
      Generated:

    - #### getModifiers

          public org.eclipse.emf.ecore.EClass getModifiers()

      Specified by:
        `getModifiers` in interface `PatternLanguagePackage`
      Returns:
        the meta object for class 'Modifiers'.
      See Also:
        `Modifiers`
      Generated:

    - #### getModifiers_Private

          public org.eclipse.emf.ecore.EAttribute getModifiers_Private()

      Specified by:
        `getModifiers_Private` in interface `PatternLanguagePackage`
      Returns:
        the meta object for the attribute 'Private'.
      See Also:
        `Modifiers.isPrivate()`, `PatternLanguagePackage.getModifiers()`
      Generated:

    - #### getModifiers_Execution

          public org.eclipse.emf.ecore.EAttribute getModifiers_Execution()

      Specified by:
        `getModifiers_Execution` in interface `PatternLanguagePackage`
      Returns:
        the meta object for the attribute 'Execution'.
      See Also:
        `Modifiers.getExecution()`, `PatternLanguagePackage.getModifiers()`
      Generated:

    - #### getExpression

          public org.eclipse.emf.ecore.EClass getExpression()

      Specified by:
        `getExpression` in interface `PatternLanguagePackage`
      Returns:
        the meta object for class 'Expression'.
      See Also:
        `Expression`
      Generated:

    - #### getVariable

          public org.eclipse.emf.ecore.EClass getVariable()

      Specified by:
        `getVariable` in interface `PatternLanguagePackage`
      Returns:
        the meta object for class 'Variable'.
      See Also:
        `Variable`
      Generated:

    - #### getVariable_Name

          public org.eclipse.emf.ecore.EAttribute getVariable_Name()

      Specified by:
        `getVariable_Name` in interface `PatternLanguagePackage`
      Returns:
        the meta object for the attribute 'Name'.
      See Also:
        `Variable.getName()`, `PatternLanguagePackage.getVariable()`
      Generated:

    - #### getVariable_Type

          public org.eclipse.emf.ecore.EReference getVariable_Type()

      Specified by:
        `getVariable_Type` in interface `PatternLanguagePackage`
      Returns:
        the meta object for the containment reference 'Type'.
      See Also:
        `Variable.getType()`, `PatternLanguagePackage.getVariable()`
      Generated:

    - #### getVariableReference

          public org.eclipse.emf.ecore.EClass getVariableReference()

      Specified by:
        `getVariableReference` in interface `PatternLanguagePackage`
      Returns:
        the meta object for class 'Variable Reference'.
      See Also:
        `VariableReference`
      Generated:

    - #### getVariableReference_Aggregator

          public org.eclipse.emf.ecore.EAttribute getVariableReference_Aggregator()

      Specified by:
        `getVariableReference_Aggregator` in interface `PatternLanguagePackage`
      Returns:
        the meta object for the attribute 'Aggregator'.
      See Also:
        `VariableReference.isAggregator()`, `PatternLanguagePackage.getVariableReference()`
      Generated:

    - #### getVariableReference_Var

          public org.eclipse.emf.ecore.EAttribute getVariableReference_Var()

      Specified by:
        `getVariableReference_Var` in interface `PatternLanguagePackage`
      Returns:
        the meta object for the attribute 'Var'.
      See Also:
        `VariableReference.getVar()`, `PatternLanguagePackage.getVariableReference()`
      Generated:

    - #### getVariableReference_Variable

          public org.eclipse.emf.ecore.EReference getVariableReference_Variable()

      Specified by:
        `getVariableReference_Variable` in interface `PatternLanguagePackage`
      Returns:
        the meta object for the reference 'Variable'.
      See Also:
        `VariableReference.getVariable()`, `PatternLanguagePackage.getVariableReference()`
      Generated:

    - #### getType

          public org.eclipse.emf.ecore.EClass getType()

      Specified by:
        `getType` in interface `PatternLanguagePackage`
      Returns:
        the meta object for class 'Type'.
      See Also:
        `Type`
      Generated:

    - #### getType_Typename

          public org.eclipse.emf.ecore.EAttribute getType_Typename()

      Specified by:
        `getType_Typename` in interface `PatternLanguagePackage`
      Returns:
        the meta object for the attribute 'Typename'.
      See Also:
        `Type.getTypename()`, `PatternLanguagePackage.getType()`
      Generated:

    - #### getEntityType

          public org.eclipse.emf.ecore.EClass getEntityType()

      Specified by:
        `getEntityType` in interface `PatternLanguagePackage`
      Returns:
        the meta object for class 'Entity Type'.
      See Also:
        `EntityType`
      Generated:

    - #### getPatternBody

          public org.eclipse.emf.ecore.EClass getPatternBody()

      Specified by:
        `getPatternBody` in interface `PatternLanguagePackage`
      Returns:
        the meta object for class 'Pattern Body'.
      See Also:
        `PatternBody`
      Generated:

    - #### getPatternBody_Name

          public org.eclipse.emf.ecore.EAttribute getPatternBody_Name()

      Specified by:
        `getPatternBody_Name` in interface `PatternLanguagePackage`
      Returns:
        the meta object for the attribute 'Name'.
      See Also:
        `PatternBody.getName()`, `PatternLanguagePackage.getPatternBody()`
      Generated:

    - #### getPatternBody_Constraints

          public org.eclipse.emf.ecore.EReference getPatternBody_Constraints()

      Specified by:
        `getPatternBody_Constraints` in interface `PatternLanguagePackage`
      Returns:
        the meta object for the containment reference list 'Constraints'.
      See Also:
        `PatternBody.getConstraints()`, `PatternLanguagePackage.getPatternBody()`
      Generated:

    - #### getPatternBody_Variables

          public org.eclipse.emf.ecore.EReference getPatternBody_Variables()

      Specified by:
        `getPatternBody_Variables` in interface `PatternLanguagePackage`
      Returns:
        the meta object for the containment reference list 'Variables'.
      See Also:
        `PatternBody.getVariables()`, `PatternLanguagePackage.getPatternBody()`
      Generated:

    - #### getConstraint

          public org.eclipse.emf.ecore.EClass getConstraint()

      Specified by:
        `getConstraint` in interface `PatternLanguagePackage`
      Returns:
        the meta object for class 'Constraint'.
      See Also:
        `Constraint`
      Generated:

    - #### getPatternCall

          public org.eclipse.emf.ecore.EClass getPatternCall()

      Specified by:
        `getPatternCall` in interface `PatternLanguagePackage`
      Returns:
        the meta object for class 'Pattern Call'.
      See Also:
        `PatternCall`
      Generated:

    - #### getPatternCall_PatternRef

          public org.eclipse.emf.ecore.EReference getPatternCall_PatternRef()

      Specified by:
        `getPatternCall_PatternRef` in interface `PatternLanguagePackage`
      Returns:
        the meta object for the reference 'Pattern Ref'.
      See Also:
        `PatternCall.getPatternRef()`, `PatternLanguagePackage.getPatternCall()`
      Generated:

    - #### getPatternCall_Parameters

          public org.eclipse.emf.ecore.EReference getPatternCall_Parameters()

      Specified by:
        `getPatternCall_Parameters` in interface `PatternLanguagePackage`
      Returns:
        the meta object for the containment reference list 'Parameters'.
      See Also:
        `PatternCall.getParameters()`, `PatternLanguagePackage.getPatternCall()`
      Generated:

    - #### getValueReference

          public org.eclipse.emf.ecore.EClass getValueReference()

      Specified by:
        `getValueReference` in interface `PatternLanguagePackage`
      Returns:
        the meta object for class 'Value Reference'.
      See Also:
        `ValueReference`
      Generated:

    - #### getLiteralValueReference

          public org.eclipse.emf.ecore.EClass getLiteralValueReference()

      Specified by:
        `getLiteralValueReference` in interface `PatternLanguagePackage`
      Returns:
        the meta object for class 'Literal Value Reference'.
      See Also:
        `LiteralValueReference`
      Generated:

    - #### getComputationValue

          public org.eclipse.emf.ecore.EClass getComputationValue()

      Specified by:
        `getComputationValue` in interface `PatternLanguagePackage`
      Returns:
        the meta object for class 'Computation Value'.
      See Also:
        `ComputationValue`
      Generated:

    - #### getParameterRef

          public org.eclipse.emf.ecore.EClass getParameterRef()

      Specified by:
        `getParameterRef` in interface `PatternLanguagePackage`
      Returns:
        the meta object for class 'Parameter Ref'.
      See Also:
        `ParameterRef`
      Generated:

    - #### getParameterRef_ReferredParam

          public org.eclipse.emf.ecore.EReference getParameterRef_ReferredParam()

      Specified by:
        `getParameterRef_ReferredParam` in interface `PatternLanguagePackage`
      Returns:
        the meta object for the reference 'Referred Param'.
      See Also:
        `ParameterRef.getReferredParam()`, `PatternLanguagePackage.getParameterRef()`
      Generated:

    - #### getParameter

          public org.eclipse.emf.ecore.EClass getParameter()

      Specified by:
        `getParameter` in interface `PatternLanguagePackage`
      Returns:
        the meta object for class 'Parameter'.
      See Also:
        `Parameter`
      Generated:

    - #### getParameter_Direction

          public org.eclipse.emf.ecore.EAttribute getParameter_Direction()

      Specified by:
        `getParameter_Direction` in interface `PatternLanguagePackage`
      Returns:
        the meta object for the attribute 'Direction'.
      See Also:
        `Parameter.getDirection()`, `PatternLanguagePackage.getParameter()`
      Generated:

    - #### getLocalVariable

          public org.eclipse.emf.ecore.EClass getLocalVariable()

      Specified by:
        `getLocalVariable` in interface `PatternLanguagePackage`
      Returns:
        the meta object for class 'Local Variable'.
      See Also:
        `LocalVariable`
      Generated:

    - #### getJavaType

          public org.eclipse.emf.ecore.EClass getJavaType()

      Specified by:
        `getJavaType` in interface `PatternLanguagePackage`
      Returns:
        the meta object for class 'Java Type'.
      See Also:
        `JavaType`
      Generated:

    - #### getJavaType_ClassRef

          public org.eclipse.emf.ecore.EReference getJavaType_ClassRef()

      Specified by:
        `getJavaType_ClassRef` in interface `PatternLanguagePackage`
      Returns:
        the meta object for the reference 'Class Ref'.
      See Also:
        `JavaType.getClassRef()`, `PatternLanguagePackage.getJavaType()`
      Generated:

    - #### getRelationType

          public org.eclipse.emf.ecore.EClass getRelationType()

      Specified by:
        `getRelationType` in interface `PatternLanguagePackage`
      Returns:
        the meta object for class 'Relation Type'.
      See Also:
        `RelationType`
      Generated:

    - #### getTypeCheckConstraint

          public org.eclipse.emf.ecore.EClass getTypeCheckConstraint()

      Specified by:
        `getTypeCheckConstraint` in interface `PatternLanguagePackage`
      Returns:
        the meta object for class 'Type Check Constraint'.
      See Also:
        `TypeCheckConstraint`
      Generated:

    - #### getPatternCompositionConstraint

          public org.eclipse.emf.ecore.EClass getPatternCompositionConstraint()

      Specified by:
        `getPatternCompositionConstraint` in interface `PatternLanguagePackage`
      Returns:
        the meta object for class 'Pattern Composition Constraint'.
      See Also:
        `PatternCompositionConstraint`
      Generated:

    - #### getPatternCompositionConstraint_Negative

          public org.eclipse.emf.ecore.EAttribute getPatternCompositionConstraint_Negative()

      Specified by:
        `getPatternCompositionConstraint_Negative` in interface `PatternLanguagePackage`
      Returns:
        the meta object for the attribute 'Negative'.
      See Also:
        `PatternCompositionConstraint.isNegative()`, `PatternLanguagePackage.getPatternCompositionConstraint()`
      Generated:

    - #### getPatternCompositionConstraint_Call

          public org.eclipse.emf.ecore.EReference getPatternCompositionConstraint_Call()

      Specified by:
        `getPatternCompositionConstraint_Call` in interface `PatternLanguagePackage`
      Returns:
        the meta object for the containment reference 'Call'.
      See Also:
        `PatternCompositionConstraint.getCall()`, `PatternLanguagePackage.getPatternCompositionConstraint()`
      Generated:

    - #### getCompareConstraint

          public org.eclipse.emf.ecore.EClass getCompareConstraint()

      Specified by:
        `getCompareConstraint` in interface `PatternLanguagePackage`
      Returns:
        the meta object for class 'Compare Constraint'.
      See Also:
        `CompareConstraint`
      Generated:

    - #### getCompareConstraint_LeftOperand

          public org.eclipse.emf.ecore.EReference getCompareConstraint_LeftOperand()

      Specified by:
        `getCompareConstraint_LeftOperand` in interface `PatternLanguagePackage`
      Returns:
        the meta object for the containment reference 'Left Operand'.
      See Also:
        `CompareConstraint.getLeftOperand()`, `PatternLanguagePackage.getCompareConstraint()`
      Generated:

    - #### getCompareConstraint_Feature

          public org.eclipse.emf.ecore.EAttribute getCompareConstraint_Feature()

      Specified by:
        `getCompareConstraint_Feature` in interface `PatternLanguagePackage`
      Returns:
        the meta object for the attribute 'Feature'.
      See Also:
        `CompareConstraint.getFeature()`, `PatternLanguagePackage.getCompareConstraint()`
      Generated:

    - #### getCompareConstraint_RightOperand

          public org.eclipse.emf.ecore.EReference getCompareConstraint_RightOperand()

      Specified by:
        `getCompareConstraint_RightOperand` in interface `PatternLanguagePackage`
      Returns:
        the meta object for the containment reference 'Right Operand'.
      See Also:
        `CompareConstraint.getRightOperand()`, `PatternLanguagePackage.getCompareConstraint()`
      Generated:

    - #### getCheckConstraint

          public org.eclipse.emf.ecore.EClass getCheckConstraint()

      Specified by:
        `getCheckConstraint` in interface `PatternLanguagePackage`
      Returns:
        the meta object for class 'Check Constraint'.
      See Also:
        `CheckConstraint`
      Generated:

    - #### getCheckConstraint_Expression

          public org.eclipse.emf.ecore.EReference getCheckConstraint_Expression()

      Specified by:
        `getCheckConstraint_Expression` in interface `PatternLanguagePackage`
      Returns:
        the meta object for the containment reference 'Expression'.
      See Also:
        `CheckConstraint.getExpression()`, `PatternLanguagePackage.getCheckConstraint()`
      Generated:

    - #### getPathExpressionConstraint

          public org.eclipse.emf.ecore.EClass getPathExpressionConstraint()

      Specified by:
        `getPathExpressionConstraint` in interface `PatternLanguagePackage`
      Returns:
        the meta object for class 'Path Expression Constraint'.
      See Also:
        `PathExpressionConstraint`
      Generated:

    - #### getPathExpressionConstraint_EdgeTypes

          public org.eclipse.emf.ecore.EReference getPathExpressionConstraint_EdgeTypes()

      Specified by:
        `getPathExpressionConstraint_EdgeTypes` in interface `PatternLanguagePackage`
      Returns:
        the meta object for the containment reference list 'Edge Types'.
      Since:
        2.0
      See Also:
        `PathExpressionConstraint.getEdgeTypes()`, `PatternLanguagePackage.getPathExpressionConstraint()`
      Generated:

    - #### getPathExpressionConstraint_SourceType

          public org.eclipse.emf.ecore.EReference getPathExpressionConstraint_SourceType()

      Specified by:
        `getPathExpressionConstraint_SourceType` in interface `PatternLanguagePackage`
      Returns:
        the meta object for the containment reference 'Source Type'.
      Since:
        2.0
      See Also:
        `PathExpressionConstraint.getSourceType()`, `PatternLanguagePackage.getPathExpressionConstraint()`
      Generated:

    - #### getPathExpressionConstraint_Src

          public org.eclipse.emf.ecore.EReference getPathExpressionConstraint_Src()

      Specified by:
        `getPathExpressionConstraint_Src` in interface `PatternLanguagePackage`
      Returns:
        the meta object for the containment reference 'Src'.
      Since:
        2.0
      See Also:
        `PathExpressionConstraint.getSrc()`, `PatternLanguagePackage.getPathExpressionConstraint()`
      Generated:

    - #### getPathExpressionConstraint_Dst

          public org.eclipse.emf.ecore.EReference getPathExpressionConstraint_Dst()

      Specified by:
        `getPathExpressionConstraint_Dst` in interface `PatternLanguagePackage`
      Returns:
        the meta object for the containment reference 'Dst'.
      Since:
        2.0
      See Also:
        `PathExpressionConstraint.getDst()`, `PatternLanguagePackage.getPathExpressionConstraint()`
      Generated:

    - #### getStringValue

          public org.eclipse.emf.ecore.EClass getStringValue()

      Specified by:
        `getStringValue` in interface `PatternLanguagePackage`
      Returns:
        the meta object for class 'String Value'.
      See Also:
        `StringValue`
      Generated:

    - #### getStringValue_Value

          public org.eclipse.emf.ecore.EAttribute getStringValue_Value()

      Specified by:
        `getStringValue_Value` in interface `PatternLanguagePackage`
      Returns:
        the meta object for the attribute 'Value'.
      See Also:
        `StringValue.getValue()`, `PatternLanguagePackage.getStringValue()`
      Generated:

    - #### getNumberValue

          public org.eclipse.emf.ecore.EClass getNumberValue()

      Specified by:
        `getNumberValue` in interface `PatternLanguagePackage`
      Returns:
        the meta object for class 'Number Value'.
      See Also:
        `NumberValue`
      Generated:

    - #### getNumberValue_Value

          public org.eclipse.emf.ecore.EReference getNumberValue_Value()

      Specified by:
        `getNumberValue_Value` in interface `PatternLanguagePackage`
      Returns:
        the meta object for the containment reference 'Value'.
      See Also:
        `NumberValue.getValue()`, `PatternLanguagePackage.getNumberValue()`
      Generated:

    - #### getNumberValue_Negative

          public org.eclipse.emf.ecore.EAttribute getNumberValue_Negative()

      Specified by:
        `getNumberValue_Negative` in interface `PatternLanguagePackage`
      Returns:
        the meta object for the attribute 'Negative'.
      See Also:
        `NumberValue.isNegative()`, `PatternLanguagePackage.getNumberValue()`
      Generated:

    - #### getBoolValue

          public org.eclipse.emf.ecore.EClass getBoolValue()

      Specified by:
        `getBoolValue` in interface `PatternLanguagePackage`
      Returns:
        the meta object for class 'Bool Value'.
      See Also:
        `BoolValue`
      Generated:

    - #### getBoolValue_Value

          public org.eclipse.emf.ecore.EReference getBoolValue_Value()

      Specified by:
        `getBoolValue_Value` in interface `PatternLanguagePackage`
      Returns:
        the meta object for the containment reference 'Value'.
      See Also:
        `BoolValue.getValue()`, `PatternLanguagePackage.getBoolValue()`
      Generated:

    - #### getListValue

          public org.eclipse.emf.ecore.EClass getListValue()

      Specified by:
        `getListValue` in interface `PatternLanguagePackage`
      Returns:
        the meta object for class 'List Value'.
      See Also:
        `ListValue`
      Generated:

    - #### getListValue_Values

          public org.eclipse.emf.ecore.EReference getListValue_Values()

      Specified by:
        `getListValue_Values` in interface `PatternLanguagePackage`
      Returns:
        the meta object for the containment reference list 'Values'.
      See Also:
        `ListValue.getValues()`, `PatternLanguagePackage.getListValue()`
      Generated:

    - #### getFunctionEvaluationValue

          public org.eclipse.emf.ecore.EClass getFunctionEvaluationValue()

      Specified by:
        `getFunctionEvaluationValue` in interface `PatternLanguagePackage`
      Returns:
        the meta object for class 'Function Evaluation Value'.
      See Also:
        `FunctionEvaluationValue`
      Generated:

    - #### getFunctionEvaluationValue_Expression

          public org.eclipse.emf.ecore.EReference getFunctionEvaluationValue_Expression()

      Specified by:
        `getFunctionEvaluationValue_Expression` in interface `PatternLanguagePackage`
      Returns:
        the meta object for the containment reference 'Expression'.
      See Also:
        `FunctionEvaluationValue.getExpression()`, `PatternLanguagePackage.getFunctionEvaluationValue()`
      Generated:

    - #### getFunctionEvaluationValue_Unwind

          public org.eclipse.emf.ecore.EAttribute getFunctionEvaluationValue_Unwind()

      Specified by:
        `getFunctionEvaluationValue_Unwind` in interface `PatternLanguagePackage`
      Returns:
        the meta object for the attribute 'Unwind'.
      Since:
        2.7
      See Also:
        `FunctionEvaluationValue.isUnwind()`, `PatternLanguagePackage.getFunctionEvaluationValue()`
      Generated:

    - #### getAggregatedValue

          public org.eclipse.emf.ecore.EClass getAggregatedValue()

      Specified by:
        `getAggregatedValue` in interface `PatternLanguagePackage`
      Returns:
        the meta object for class 'Aggregated Value'.
      See Also:
        `AggregatedValue`
      Generated:

    - #### getAggregatedValue_Aggregator

          public org.eclipse.emf.ecore.EReference getAggregatedValue_Aggregator()

      Specified by:
        `getAggregatedValue_Aggregator` in interface `PatternLanguagePackage`
      Returns:
        the meta object for the reference 'Aggregator'.
      See Also:
        `AggregatedValue.getAggregator()`, `PatternLanguagePackage.getAggregatedValue()`
      Generated:

    - #### getAggregatedValue_Call

          public org.eclipse.emf.ecore.EReference getAggregatedValue_Call()

      Specified by:
        `getAggregatedValue_Call` in interface `PatternLanguagePackage`
      Returns:
        the meta object for the containment reference 'Call'.
      See Also:
        `AggregatedValue.getCall()`, `PatternLanguagePackage.getAggregatedValue()`
      Generated:

    - #### getAggregatedValue_AggregateType

          public org.eclipse.emf.ecore.EReference getAggregatedValue_AggregateType()

      Specified by:
        `getAggregatedValue_AggregateType` in interface `PatternLanguagePackage`
      Returns:
        the meta object for the reference 'Aggregate Type'.
      See Also:
        `AggregatedValue.getAggregateType()`, `PatternLanguagePackage.getAggregatedValue()`
      Generated:

    - #### getCallableRelation

          public org.eclipse.emf.ecore.EClass getCallableRelation()

      Specified by:
        `getCallableRelation` in interface `PatternLanguagePackage`
      Returns:
        the meta object for class 'Callable Relation'.
      See Also:
        `CallableRelation`
      Generated:

    - #### getCallableRelation_Transitive

          public org.eclipse.emf.ecore.EAttribute getCallableRelation_Transitive()

      Specified by:
        `getCallableRelation_Transitive` in interface `PatternLanguagePackage`
      Returns:
        the meta object for the attribute 'Transitive'.
      See Also:
        `CallableRelation.getTransitive()`, `PatternLanguagePackage.getCallableRelation()`
      Generated:

    - #### getUnaryTypeConstraint

          public org.eclipse.emf.ecore.EClass getUnaryTypeConstraint()

      Specified by:
        `getUnaryTypeConstraint` in interface `PatternLanguagePackage`
      Returns:
        the meta object for class 'Unary Type Constraint'.
      See Also:
        `UnaryTypeConstraint`
      Generated:

    - #### getUnaryTypeConstraint_Type

          public org.eclipse.emf.ecore.EReference getUnaryTypeConstraint_Type()

      Specified by:
        `getUnaryTypeConstraint_Type` in interface `PatternLanguagePackage`
      Returns:
        the meta object for the containment reference 'Type'.
      See Also:
        `UnaryTypeConstraint.getType()`, `PatternLanguagePackage.getUnaryTypeConstraint()`
      Generated:

    - #### getUnaryTypeConstraint_Var

          public org.eclipse.emf.ecore.EReference getUnaryTypeConstraint_Var()

      Specified by:
        `getUnaryTypeConstraint_Var` in interface `PatternLanguagePackage`
      Returns:
        the meta object for the containment reference 'Var'.
      See Also:
        `UnaryTypeConstraint.getVar()`, `PatternLanguagePackage.getUnaryTypeConstraint()`
      Generated:

    - #### getJavaConstantValue

          public org.eclipse.emf.ecore.EClass getJavaConstantValue()

      Specified by:
        `getJavaConstantValue` in interface `PatternLanguagePackage`
      Returns:
        the meta object for class 'Java Constant Value'.
      See Also:
        `JavaConstantValue`
      Generated:

    - #### getJavaConstantValue_ClassRef

          public org.eclipse.emf.ecore.EReference getJavaConstantValue_ClassRef()

      Specified by:
        `getJavaConstantValue_ClassRef` in interface `PatternLanguagePackage`
      Returns:
        the meta object for the reference 'Class Ref'.
      See Also:
        `JavaConstantValue.getClassRef()`, `PatternLanguagePackage.getJavaConstantValue()`
      Generated:

    - #### getJavaConstantValue_FieldRef

          public org.eclipse.emf.ecore.EReference getJavaConstantValue_FieldRef()

      Specified by:
        `getJavaConstantValue_FieldRef` in interface `PatternLanguagePackage`
      Returns:
        the meta object for the reference 'Field Ref'.
      See Also:
        `JavaConstantValue.getFieldRef()`, `PatternLanguagePackage.getJavaConstantValue()`
      Generated:

    - #### getExecutionType

          public org.eclipse.emf.ecore.EEnum getExecutionType()

      Specified by:
        `getExecutionType` in interface `PatternLanguagePackage`
      Returns:
        the meta object for enum 'Execution Type'.
      See Also:
        `ExecutionType`
      Generated:

    - #### getParameterDirection

          public org.eclipse.emf.ecore.EEnum getParameterDirection()

      Specified by:
        `getParameterDirection` in interface `PatternLanguagePackage`
      Returns:
        the meta object for enum 'Parameter Direction'.
      See Also:
        `ParameterDirection`
      Generated:

    - #### getCompareFeature

          public org.eclipse.emf.ecore.EEnum getCompareFeature()

      Specified by:
        `getCompareFeature` in interface `PatternLanguagePackage`
      Returns:
        the meta object for enum 'Compare Feature'.
      See Also:
        `CompareFeature`
      Generated:

    - #### getClosureType

          public org.eclipse.emf.ecore.EEnum getClosureType()

      Specified by:
        `getClosureType` in interface `PatternLanguagePackage`
      Returns:
        the meta object for enum 'Closure Type'.
      Since:
        2.0
      See Also:
        `ClosureType`
      Generated:

    - #### getPatternLanguageFactory

          public PatternLanguageFactory getPatternLanguageFactory()

      Specified by:
        `getPatternLanguageFactory` in interface `PatternLanguagePackage`
      Returns:
        the factory that creates the instances of the model.
      Generated:

    - #### createPackageContents

          public void createPackageContents()

      Creates the meta-model objects for the package. This method is guarded to have no affect on any invocation but its first.
      Generated:

    - #### initializePackageContents

          public void initializePackageContents()

      Complete the initialization of the package and its meta-model. This method is guarded to have no affect on any invocation but its first.
      Generated: